CUT(1)

BEZEICHNUNG
cut - Teile jeder Zeile aus Dateien entfernen

ÜBERSICHT
cut OPTION… [DATEI]…

BESCHREIBUNG

Ausgewählte Teile aller Zeilen aus jeder DATEI auf Standardausgabe ausgeben.

liest ohne DATEI oder wenn DATEI »-« ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --bytes=LISTE
    Nur diese Bytes auswählen

-c, --characters=LISTE
    Nur diese Zeichen auswählen

-d, --delimiter=TRENNER
    TRENNER anstelle des Tabulators als Feldtrennzeichen benutzen

-f, --fields=LISTE
    Nur diese Felder auswählen; außerdem jede Zeile ausgeben, die kein Trennzeichen enthält, es sei denn, die Option -s ist angegeben

-n  (ignoriert)

--complement
    Das Komplement der Menge der gewählten Bytes, Zeichen oder Felder bilden

-s, --only-delimited
    Keine Zeilen ausgeben, die keine Trennzeichen enthalten

--output-delimiter=ZEICHENKETTE
    ZEICHENKETTE als Ausgabetrennzeichen benutzen; Voreinstellung ist das Eingabetrennzeichen

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Benutzen Sie genau eines der Argumente aus -b, -c oder -f. Jede LISTE besteht aus einem Bereich oder mehreren, durch Kommata getrennten, Bereichen. Die ausgewählte Eingabe wird in derselben Reihenfolge geschrieben, wie sie gelesen wird und genau einmal geschrieben. Jeder Bereich ist eins aus:

N   N-tes Byte, Zeichen oder Feld, beginnend bei 1

N-  Vom N-ten Byte, Zeichen oder Feld bis zum Ende der Zeile

N-M Vom N-ten zum M-ten (eingeschlossen) Byte, Zeichen oder Feld

-M  Vom ersten zum M-ten (eingeschlossen) Byte, Zeichen oder Feld

AUTOR
Geschrieben von David M. Ihnat, David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von cut an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/cut>
oder lokal verfügbar mit: info '(coreutils) cut invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.